#!/bin/ash
#
#This script mimics a firmware update in progress
# It is used to test the memory monitoring since
# monitoring is disabled during firmware update.
NOTIF_FILE="/var/run/notification"
FW_UPDATE_STARTED=1
FW_UPDATE_COMPLETE=2

#Script starts here:

# Parameter 1, if it exists, orders script to log the warning event.
if [ $# -eq 1 ] ; then
       if [ "$1" = "start" ] ; then
           echo $FW_UPDATE_STARTED > $NOTIF_FILE
       elif [ "$1" = "stop" ] ; then
           echo $FW_UPDATE_COMPLETE > $NOTIF_FILE 
       fi
fi

